// cmdlineK2.cpp
// Command Line Elecraft K2 Rig Control Program
#include "commport.h"
#include "k2stats.h"
#include <iostream>
#include <string>
#include <string.h>
#include <unistd.h>

using namespace std;

int main()
{
  int fdd;
  char cmd[30];
  string *rxdata;
  string temp;
  
  commport K2comm;
  k2stats K2stat;

  cout << endl << "Program Start" << endl;
  fdd = K2comm.openPort();

  K2comm.initPort( fdd );
  cout << "Port initialized" << endl;

  // Initialize K2
  strcpy(cmd, "AI2;");
  K2comm.cmdK2( cmd, fdd );
  
  // Read response from the K2
  while( 1 == 1 ){
    rxdata =  K2comm.read_K2( fdd ); 
    if( *rxdata != "none"){
      // DATA UPDATE RECEIVED
      // the \007 is a bell noise 
      cout << "\007RX data = " << *rxdata << endl;
      temp = *rxdata;
      K2stat.cmdparse( temp ); // Take cmd rcvd and save the data

    }
 
 }

K2comm.closePort( fdd );
  cout << "Port closed, Program terminated." << endl;

}
