/***************************************************************************
                          k2cmdr.h  -  description
                             -------------------
    begin                : Sat Aug 9 2003
    copyright            : (C) 2003 by Mike Studer AB6CV
    email                : ab6cv@arrl.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef K2CMDR_H
#define K2CMDR_H

#include <termios.h>
#include "k2stats.h"

/**
  *@author Mike Studer AB6CV
  */

class k2cmdr: public k2stats
{
 
private:
  struct termios stored_settings;
  char ch;
  int ch_value, p1, p2, p3;
  void* d_arg;
  
public:  
  void* chk4cmd();
  void cmd_parse();
  void cmd_clear();
  void set_keypress();
  void reset_keypress();
  k2cmdr(void *arg);
   
};

extern "C" void* chk4cmd_wrapper(void*);
extern "C" void* queryrig_wrapper(void*);

#endif
