// commport.h
#ifndef COMMPORT_H
#define COMMPORT_H

#include <iostream>
#include <string>
#include <termios.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <time.h>


using namespace std;

class commport
{
 public:
  int openPort();
  void initPort( int );
  int closePort( int );
  void cmdK2( char*, int );
  string* read_K2( int );

 private:
  int fd;
  char buf[80];
  string qbuf;
  string* pqbuf;
  struct termios newtio;
  struct timespec a, b;
 
};

#endif
