// k2stats.cpp
#include "k2stats.h"
#include "commport.h"
#include <iostream>


void k2stats::cmdparse( string rawcmd )
{
  // The first two letters of a K2 response denote its identity
  // So they are extracted here
  string cmdword = rawcmd.substr(0, 2);
  //  cout << "Cmd = " << cmdword << endl;
  string cmddata = rawcmd.substr(2, 100);
  //cout << "Cmd data = " << cmddata << endl;
  
  if(cmdword ==  "FA"){
    FA = cmddata;
  }
  if(cmdword ==  "FB"){   
    FB = cmddata;
  }
  if(cmdword ==  "FR"){
    FR = cmddata;
  }
  if(cmdword ==  "FT"){
    FT = cmddata;
  }
  if(cmdword ==  "IF"){
    IF = cmddata;
  }  
  if(cmdword ==  "AN"){
    AN = cmddata;
  }  
  if(cmdword ==  "BG"){
    BG = cmddata;
  } 
  if(cmdword ==  "FW"){
    FW = cmddata;
  }
  if(cmdword ==  "GT"){
    GT = cmddata;
  }
  if(cmdword ==  "KS"){
    KS = cmddata;
  }
  if(cmdword ==  "KY"){
    KY = cmddata;
  }
  if(cmdword ==  "LK"){
    LK = cmddata;
  }
  if(cmdword ==  "MD"){
    MD = cmddata;
  }
  if(cmdword ==  "NB"){
    NB = cmddata;
  }
  if(cmdword ==  "PA"){
    PA = cmddata;
  }
  if(cmdword ==  "PC"){
    PC = cmddata;
  }
  if(cmdword ==  "PS"){
    PS = cmddata;
  }
  if(cmdword ==  "RA"){
    RA = cmddata;
  }
  if(cmdword ==  "RT"){
    RT = cmddata;
  }
  if(cmdword ==  "SQ"){
    SQ = cmddata;
  }
  if(cmdword ==  "XT"){
    XT = cmddata;
  }

}


 void* k2stats::queryrig()
{
 commport comm;
 while( 1 == 1 ){
    rxdata =  comm.read_K2( *fd );
    if( *rxdata != "none"){
      // DATA UPDATE RECEIVED
      // the \007 is a bell noise
      cout << "\007" << "RX data = " << *rxdata << endl;

      temp = *rxdata;
      cmdparse( temp ); // Take cmd rcvd and save the data
    }
  }

//  cout << "DEBUG = " << *fd << endl;
  }

       


// Here are the main data output routines
// They get invoked by user keypress

void vfo_dd()
{
   string akhz, bkhz;
   akhz = k2stats::FA.substr(3,7);
   bkhz = k2stats::FB.substr(3,7);
   akhz.insert(5, ".");
   bkhz.insert(5, ".");
   if( k2stats::FR == k2stats::FT )
   {
      if( k2stats::FT == "0" )
      {
         cout << "VFO A = " << akhz << " Khz. Used for both RX and TX" << endl;
      }
      if( k2stats::FT == "1" )
      {
         cout << "VFO B = " << bkhz << " Khz. Used for both RX and TX" << endl;
      }      
   }
                                               
}


