// k2stats.h
#ifndef K2STATS_H
#define K2STATS_H

#include <iostream>
#include <string>

using namespace std;

class k2stats
{
 public:
  void cmdparse( string );
  void* queryrig();
  
  string *rxdata;
  string temp;
  int *fd;

static  string AN; // Antenna Selection
static  string BG; // Bargraph Read
static  string FA; // VFO A freq in hz
static  string FB; // VFO B freq in hz
static  string FR; // RX VFO 0=A, 1=B
static  string FT; // TX VFO
static  string FW; // Filter bandwidth and number
static  string GT; // AGC time constant
static  string IF; // Transceiver Information
static  string KS; // Keyer Speed
static  string KY; // CW keying from text
static  string LK; // VFO lock
static  string MD; // Operating Mode
static  string NB; // Noise Blanker Mode
static  string PA; // RX preamp
static  string PC; // TX pwr
static  string PS; // Rig power on?
static  string RA; // RX atten
static  string RT; // RIT
static  string SQ; // Squelch level
static  string XT; // XIT 

  void vfo_dd();       // formatted output of frequency data
  
  
 private:
  int fdd;
  void* d_arg;
};



#endif
